GTK+ Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# GtkSeparator

## Name

GtkSeparator -- a base class for GtkHSeparator and GtkVSeparator.

## Synopsis

    #include <gtk/gtk.h>

    struct      GtkSeparator;

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkSeparator

## Description

The GtkSeparator widget is an abstract class, used only for deriving the subclasses GtkHSeparator and GtkVSeparator.

## Details

### struct GtkSeparator

    struct GtkSeparator;

The GtkSeparator struct contains private data only.

<<< Previous Page | Home | Up | Next Page >>>
GtkScrollbar | GtkWidget